package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class SubImgReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "vipId", value = "作业吧学员卡id", required = true)
    private String  vipId;
    
	@ApiModelProperty(name = "libId", value = "图书馆id", required = true)
    private String  libId;
	
	
	@ApiModelProperty(name = "subCourseList", value = "科目作业信息集合", required = true)
	private List<SubCourseReq>  subCourseList = new ArrayList<SubCourseReq>();
    

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public List<SubCourseReq> getSubCourseList() {
		return subCourseList;
	}

	public void setSubCourseList(List<SubCourseReq> subCourseList) {
		this.subCourseList = subCourseList;
	}
	
	
	
}
